html {
    overflow: hidden;
}

body {
    font-family: 'Helvetica Neue', 'Microsoft YaHei', Arial, sans-serif;
}

ul,
ol,
li {
    margin-left: 0;
    padding-left: 0;
    list-style: none;
}

/* HEADER */

.header {
    font-size: 18px;
    position: fixed;
    z-index: 200;
    display: flex;
    width: 100%;
    height: 56px;
    padding: 15px;
    color: #8d8d8d;
    background: #fff;
    box-shadow: 1px 0 5px rgba(0, 0, 0, .1);
}

.header .toggle-btn {
    margin: 0 10px;
}

.header .toggle-btn i {
    transition: all .3s;
}

.header .toggle-btn i:hover {
    color: #4caf50;
}

.header .header-logo {
    height: 100%;
    margin: 0 10px;
}

.header .header-title {
    display: flex;
    align-items: center;
    margin: 0 10px;
    color: #333;
}

.header .header-title h1 {
    font-size: 15px;
    margin: 0;
}

@media screen and (max-width: 375px) {
    .header .header-title h1 {
        font-size: 12px;
    }
}

.header .header-title a {
    transition: all .3s;
    text-decoration: none;
    color: #333;
}

.header .header-title a:hover {
    color: #4caf50;
}

.header .header-title select {
    font-size: 12px;
    margin-left: 10px;
    border-radius: 3px;
    outline: none;
}

.header .header-title .version {
    font-size: 12px;
}

/* SIDEBAR-WRAPPER */

.sidebar-wrapper {
    position: fixed;
    z-index: 10;
    left: -300px;
    width: 300px;
    margin-top: 56px;
    padding-left: 30px;
    transition: all .3s;
    background: #fff;
    box-shadow: 1px 0 20px rgba(0, 0, 0, .08);
}

@media screen and (min-width: 768px) {
    .sidebar-wrapper {
        left: 0;
    }
}

.sidebar-wrapper h3 {
    font-size: 1.5em;
    color: #00bcd4;
}

.sidebar-wrapper .lnb-api li {
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 15px;
}

.sidebar-wrapper .lnb-examples li {
    padding-top: 5px;
    padding-bottom: 5px;
}

.sidebar-wrapper .lnb-api a,
.sidebar-wrapper .lnb-examples a {
    font-size: 14px;
    transition: all .3s;
    text-decoration: none;
    color: #333;
}

.sidebar-wrapper .lnb-api a:hover,
.sidebar-wrapper .lnb-examples a:hover {
    color: #4caf50;
}

.sidebar-wrapper .lnb-api .active {
    color: #4caf50;
}

.sidebar-wrapper .lnb-api .toggle-subNav {
    font-size: 12px;
    position: relative;
    top: -1px;
    margin-bottom: 0;
    padding: 0 3px;
    color: #8d8d8d;
    outline: none;
}

.sidebar-wrapper .member-type {
    font-size: 13px;
    margin-top: 5px;
    padding-left: 30px;
    color: #fa3282;
}

.sidebar-wrapper .inner li {
    position: relative;
    margin-left: 36px;
    padding-top: 0;
    padding-bottom: 0;
    transition: all .3s;
    border-bottom: 0;
}

.sidebar-wrapper .inner li:before {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 6px;
    height: 11px;
    content: '';
    border-bottom: 1px solid #8d8d8d;
    border-left: 1px solid #8d8d8d;
}

.sidebar-wrapper .inner li:not(:last-child):after {
    position: absolute;
    top: 11px;
    left: 0;
    display: block;
    width: 6px;
    height: 9px;
    content: '';
    border-left: 1px solid #8d8d8d;
}

.sidebar-wrapper .inner a {
    font-size: 12px;
}

/* TOGGLED SIDEBAR */

.toggled .sidebar-wrapper {
    left: 0;
}

@media screen and (min-width: 768px) {
    .toggled .sidebar-wrapper {
        left: -300px;
    }
}

.toggled main.page-container {
    padding-left: 0;
}

/* SIDEBAR-CONTAINER */

.sidebar-container {
    position: relative;
    overflow: auto;
    height: calc(100vh - 56px);
}

/* SIDEBAR-SEARCH */

#sidebar-search {
    position: relative;
    width: 236px;
    margin-top: 15px;
}

#sidebar-search input {
    width: 100%;
    padding: 7px;
    border: 1px solid #dedede;
    border-radius: 3px;
    outline: none;
}

#sidebar-search ul {
    position: absolute;
    z-index: 100;
    width: 100%;
    background-color: #fff;
}

#sidebar-search ul:not(:empty) {
    border: 1px solid #dedede;
    border-radius: 3px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, .1);
}

#sidebar-search li {
    display: flex;
    flex-flow: wrap;
    padding: 2px 5px;
    cursor: pointer;
    transition: all .3s;
}

#sidebar-search li:hover {
    background-color: #dff0d8de;
}

#sidebar-search li.highlight {
    background-color: #dff0d8;
}

#sidebar-search li a {
    font-size: 15px;
    overflow: hidden;
    text-overflow: ellipsis;
    color: #333;
}

#sidebar-search li strong {
    font-weight: normal;
    color: #fa3282;
}

#sidebar-search li span {
    font-size: 12px;
    font-style: italic;
    overflow: hidden;
    padding: 3px 3px 3px 13px;
    text-overflow: ellipsis;
    color: #4caf50;
}

/* SIDEBAR MENU */

.sidebar-wrapper .sidebar-menu {
    padding-bottom: 10px;
}

/* LNB-TAB */

.lnb-tab {
    text-align: center;
}

.lnb-tab li {
    display: inline-block;
    padding-top: 15px;
}

.lnb-tab li a {
    font-size: .9em;
    text-decoration: none;
    color: #8d8d8d;
}

.lnb-tab li a:hover,
.lnb-tab li.selected a {
    transition: all .3s;
    color: #4caf50;
}

.lnb-tab li+li h4:before {
    display: inline-block;
    padding: 0 10px;
    content: '\007C';
    color: #8d8d8d;
}

/* PAGE-CONTAINER */

main.page-container {
    display: inline-block;
    overflow: auto;
    width: 100%;
    height: calc(100vh - 56px);
    margin-top: 56px;
    padding-left: 0;
    transition: all .3s;
    background: #fafafa;
}

@media screen and (min-width: 768px) {
    main.page-container {
        padding-left: 300px;
    }
}

/* MAIN CONTAINER */

.main {
    min-height: calc(100vh - 131px);
    margin: 15px 0 10px 0;
    padding: 20px;
    border: 0 solid #e7e7e7;
    border-radius: 5px;
    background: #fff;
    box-shadow: 0 5px 20px rgba(0, 0, 0, .05);
}

.main article ol,
.main article ul {
    margin-left: 15px;
}

.main header {
    padding-top: 0;
    border-bottom: 1px solid #dedede;
}

.main header h2 {
    font-size: 18px;
    font-weight: bold;
    padding-left: 5px;
    border-left: 5px solid #00bcd4;
}

.main article {
    padding: 10px;
}

.main article .container-overview {
    overflow: auto;
    padding: 15px 15px 0 15px;
    border: 1px solid #dedede;
    border-radius: 7px;
}

.main article .container-overview .details {
    margin: 0;
}

.main article h3.subsection-title {
    font-size: 16px;
    padding: 35px 0 5px 5px;
    color: #fa3282;
    border-bottom: 1px solid #dedede;
}

.main article dl h4 {
    font-size: 12px;
    font-weight: bold;
    display: flex;
    align-items: center;
    flex-flow: wrap;
}

.main article dl h4 .type-signature,
.main article dl h4 .signature {
    margin-right: 8px;
}

.main article dl dt .name {
    padding: 4px 10px;
    background-color: #f4f7f8;
}

.main article dl dd {
    padding: 0 30px;
}

@media screen and (max-width: 375px) {
    .main article dl dd {
        padding: 0;
    }
}

.main article dl dd h5 {
    font-weight: bold;
}

.main article h4 {
    line-height: 18px;
    position: relative;
}

.main article .container-overview .container-source {
    font-size: 12px;
    font-weight: normal;
    position: absolute;
    right: 0;
    display: inline-block;
}

.main article dl .name .container-source {
    font-size: 12px;
    font-weight: normal;
    position: absolute;
    right: 10px;
}

@media screen and (max-width: 767px) {
    .main article .container-overview .container-source {
        position: static;
        margin-left: 40px;
    }
    .main article dl .name .container-source {
        position: static;
        margin-left: 20px;
    }
}

.main article .container-source code {
    font-size: 100%;
}

.main article .container-returns {
    margin-bottom: 7px;
}

.main article .container-params table {
    width: 100%;
    margin-bottom: 5px;
    border: 1px solid #ccc;
}

.main article .container-params table th {
    display: table-cell;
    margin: 0;
    padding: 10px;
    text-align: left;
    vertical-align: top;
}

.main article .container-params table td {
    font-size: 100%;
    padding: 5px 10px;
    vertical-align: middle;
    color: #4d4e53;
    border-top: 1px solid #ddd;
}

.main article .container-params table td p {
    margin: 0;
}

.main article table.props {
    width: 100%;
    margin-bottom: 5px;
    border: 1px solid #ccc;
}

.main article table.props th {
    display: table-cell;
    margin: 0;
    padding: 10px;
    text-align: left;
    vertical-align: top;
}

.main article table.props td {
    font-size: 100%;
    padding: 5px 10px;
    vertical-align: middle;
    color: #4d4e53;
    border-top: 1px solid #ddd;
}

.main article table.props td p {
    margin: 0;
}

.main article .container-overview table {
    border: none;
}

.main article .container-returns p {
    display: inline;
}

.main article .container-properties h5,
.main article .container-returns h5,
.main article .container-params h5,
.main article table th,
.main article table td.type,
.main article table td.attributes {
    font-size: 90%;
}

.main article table,
.main article table th,
.main article table td {
    padding: 1px 3px;
    vertical-align: top;
    border: 0;
}

.main article table td.name,
.main article table td.type,
.main article table td.attributes,
.main article table td.default {
    min-width: 80px;
    max-width: 100px;
    word-break: break-all;
}

.main article table td h6 {
    font-size: 85%;
    margin: 3px 0 0 3px;
    padding: 0 0 0 3px;
}

.main article .container-properties table.props {
    margin-top: -3px;
}

/* LINE NUMBERS */

ol.linenums {
    margin-left: 0 !important;
}

ol.linenums .number {
    user-select: none;
    color: #4d4d4c;
}

ol.linenums li.selected {
    background: #faebd7;
}

/* README */

.readme {
    font-size: 14px;
}

.readme p,
.readme ul,
.readme ol {
    padding: 3px 0 3px 5px;
}

.readme li {
    list-style: initial;
}

.readme img {
    max-width: 100%;
}

.readme h1 {
    font-size: 24px;
    font-weight: normal;
    padding: 10px 0 5px 0;
    border-bottom: 1px solid #428bca;
}

.readme pre {
    margin: 15px 3px;
}

.readme li p {
    padding: 10px 0;
    color: #333;
}

.readme p a {
    color: #c7254e;
}

.readme h2 {
    font-size: 22px;
    padding-bottom: 3px;
    border-bottom: 1px solid #dedede;
}

.readme h3 {
    font-size: 20px;
    padding-bottom: 3px;
}

.readme h4 {
    font-size: 18px;
}

.readme h5 {
    font-size: 16px;
}

.readme h6 {
    font-size: 15px;
}

.readme table {
    margin: 5px 30px 20px;
}

.readme table th,
.readme table td {
    padding: 2px 20px 2px 5px;
    border-bottom: 1px solid #dedede;
}

.readme header h2 {
    font-size: 20px;
    padding-left: 10px;
    border-left: 5px solid #fa3282;
}

.readme .container-overview {
    padding: 15px 15px 10px;
    color: #333;
    border: 1px solid #dedede;
    border-radius: 2px;
}

.readme .container-overview .description {
    color: #666;
}

.readme .container-overview dt {
    float: left;
}

.readme .container-overview dd {
    float: left;
    margin-left: 10px;
}

.readme blockquote {
    font-size: inherit;
    margin: inherit;
    padding: inherit;
    color: #777;
}

/* FOOTER */

footer {
    padding: 15px;
    text-align: center;
    color: #333;
    border: 0 solid #e7e7e7;
    border-radius: 5px 5px 0 0;
    background: #fff;
    box-shadow: 0 5px 20px rgba(0, 0, 0, .05);
}

/* ETC */

.hidden {
    display: none;
}

.visible-hidden {
    visibility: hidden;
}

span.param-type {
    font-size: 90%;
    margin: 0;
    padding: 2px 4px;
    color: #f5871f;
    border: none;
    border-radius: 4px;
    background-color: #fcf8e3;
}

span.icon {
    font-size: 10px;
    font-weight: normal;
    padding: 1px 2px;
    border-radius: 3px;
}

span.icon.green {
    color: #4caf50;
    background-color: #dff0d8;
}

span.icon.blue {
    color: #31708f;
    background-color: #d9edf7;
}

span.icon.yellow {
    color: #8a6d3b;
    background-color: #fcf8e3;
}

span.icon.red {
    color: #a94443;
    background-color: #f2dede;
}

span.arrow {
    font-size: 8pt;
    padding-right: 5px;
}
